CamelMimeFilterProgress
3
CAMEL Library

# CamelMimeFilterProgress

## Synopsis

                        CamelMimeFilterProgress;
    CamelMimeFilter *   camel_mime_filter_progress_new      (CamelOperation *operation,
                                                             gsize total);

## Description

## Details

### CamelMimeFilterProgress

    typedef struct {
    	CamelMimeFilter parent;

    	CamelOperation *operation;
    	gsize total;
            gsize count;
    } CamelMimeFilterProgress;

### camel_mime_filter_progress_new ()

    CamelMimeFilter *   camel_mime_filter_progress_new      (CamelOperation *operation,
                                                             gsize total);

Create a new CamelMimeFilterProgress object that will report streaming progress.

`operation` :

  a CamelOperation

`total` :

  total number of bytes to report progress on

Returns :

  a new CamelMimeFilter object